Get Message

GET
https://reloop.sh/api/inbox/v1/messages/:id

Path Parameters

idstringRequired

Message ID

const response = await fetch("https://reloop.sh/api/inbox/v1/messages/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer re_123456789",
  },
});

const data = await response.json();
{
  "id": "con_123456789",
  "mailboxId": "example_mailboxId",
  "organizationId": "example_organizationId",
  "fromEmail": "example_fromEmail",
  "fromName": "example_fromName",
  "toEmails": [
    "example_toEmails"
  ],
  "ccEmails": [
    "example_ccEmails"
  ],
  "bccEmails": [
    "example_bccEmails"
  ],
  "replyTo": "example_replyTo",
  "subject": "Welcome to Reloop",
  "textBody": "example_textBody",
  "htmlBody": "example_htmlBody",
  "snippet": "example_snippet",
  "size": 0,
  "status": "example_status",
  "isRead": true,
  "isStarred": true,
  "isSpam": true,
  "spamScore": 0,
  "messageId": "example_messageId",
  "threadId": "example_threadId",
  "inReplyTo": "example_inReplyTo",
  "references": [
    "example_references"
  ],
  "headers": {
    "company": "Reloop",
    "role": "Developer"
  },
  "date": "2026-03-23T10:00:00.000Z",
  "createdAt": "2026-03-23T10:00:00.000Z",
  "attachments": [
    {
      "id": "con_123456789",
      "inboundEmailId": "example_inboundEmailId",
      "filename": "example_filename",
      "contentType": "example_contentType",
      "size": 0,
      "storagePath": "example_storagePath",
      "contentDisposition": "example_contentDisposition",
      "contentId": "example_contentId",
      "createdAt": "2026-03-23T10:00:00.000Z"
    }
  ]
}

Was this page helpful?

Edit this page